﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.UWP;
using Xamarin.Forms;
using Native = Syncfusion.UI.Xaml.Charts;

[assembly: Dependency(typeof(Chart_GettingStarted.UWP.ChartZoomFactorDependency))]
namespace Chart_GettingStarted.UWP
{
    class ChartZoomFactorDependency : IChartZoomFactorDependency
    {
        public float GetZoomFactor(ChartAxis chartAxisxis)
        {
            Native.DateTimeAxis axis = SfChartRenderer.GetNativeObject(typeof(ChartAxis), chartAxisxis) as Native.DateTimeAxis;
            return (float)axis.ZoomFactor;
        }
    }
}
